%define rname ru
%define mozilla_version 1.7.12
%define mozilla_release alt1.M24.1

Summary:	Mozilla in Russian
Name:		%mozilla_name-%rname
Version:	%mozilla_version
Release:	%mozilla_release
License:	MPL/NPL
Group:		Networking/WWW	
URL:		http://www.mozilla.ru/

BuildRequires:	%mozilla_name-devel unzip
BuildArch:	noarch

Source0:	mozilla-1.7-ru.tar.bz2
Source1:        mozilla-1.7.1-alt-bookmarks-ru.html
Source2:	enigmail-ru-RU-0.9x.tar.bz2

Requires: %mozilla_name => 1.7.9 

%description 
Mozilla in Russian 

%prep
%setup -q -c -a2

%build
# Nothing to build

%install
%__install -d %buildroot/%mozilla_chromedir
%__install -d %buildroot/%mozilla_defaultsdir

%__cp chrome/*.jar %buildroot/%mozilla_chromedir
%__cp installed-chrome-ru.txt %buildroot/%mozilla_chromedir

%__cp -r defaults/* %buildroot/%mozilla_defaultsdir
%__cp -f %SOURCE1 %buildroot/%mozilla_defaultsdir/profile/RU/bookmarks.html
cat << EOF >> %buildroot/%mozilla_chromedir/installed-chrome-ru.txt
locale,install,url,jar:resource:/chrome/enigmail-RU.jar!/locale/ru-RU/enigmail/
EOF
  
%post
%mozilla_extension_postin
%mozilla_select_language ru-RU

%postun
%mozilla_extension_postun
%mozilla_set_default_language

%files
%mozilla_chromedir/*.jar
%mozilla_chromedir/installed-chrome-%rname.txt
%dir %mozilla_defaultsdir/messenger/RU
%dir %mozilla_defaultsdir/profile/RU
%mozilla_defaultsdir/messenger/RU/*
%mozilla_defaultsdir/profile/RU/*

%changelog
* Wed Sep 28 2005 Eugene Ostapets <eostapets@altlinux.ru> 1.7.12-alt1.M24.1
- rebuild for new version
- remove hard requires, must work with any mozilla > 1.7.9

* Wed Sep 07 2005 Eugene Ostapets <eostapets@altlinux.ru> 1.7.11-alt1.M24.3
- add translation fo Enigmail

* Tue Aug 23 2005 Eugene Ostapets <eostapets@altlinux.ru> 1.7.11-alt1.M24.2
- rebuild for 1.7.11

* Fri May 27 2005 Michael Shigorin <mike@altlinux.ru> 1.7.8-alt0.M24.1
- rebuilt for 1.7.8

* Sun Aug 08 2004 Alexey Gladkov <legion@altlinux.ru> 1.7.2-alt1
- rebuild with new mozilla;
- add new bookmarks;

* Tue Jul 20 2004 Alexey Gladkov <legion@altlinux.ru> 1.7.1-alt2
- rebuild with new mozilla;

* Fri Jul 16 2004 Alexey Gladkov <legion@altlinux.ru> 1.7.1-alt1
- New version;

* Mon Jun 21 2004 Alexey Gladkov <legion@altlinux.ru> 1.6-alt5
- Region fix.

* Thu Jun 10 2004 Alexey Gladkov <legion@altlinux.ru> 1.6-alt4.1
- rebuild with new mozilla.

* Tue Jun 08 2004 Alexey Gladkov <legion@altlinux.ru> 1.6-alt4
- first build for ALT Linux.
